Loading...
Searching...
No Matches
irr::core::map< KeyType, ValueType >::AccessClass Class Reference

`#include <irrMap.h>`

## Public Member Functions

| operator ValueType ()
void | operator= (const ValueType &value)

## Friends

class | map< KeyType, ValueType >

## Detailed Description

template<class KeyType, class ValueType>
class irr::core::map< KeyType, ValueType >::AccessClass

Definition at line 635 of file irrMap.h.

## Member Function Documentation

## operator ValueType()

template<class KeyType, class ValueType>

irr::core::map< KeyType, ValueType >::AccessClass::operator ValueType | ( |  | ) |

inline

Definition at line 650 of file irrMap.h.

References _IRR_DEBUG_BREAK_IF, and _IRR_IMPLEMENT_MANAGED_MARSHALLING_BUGFIX.

## operator=()

template<class KeyType, class ValueType>

void irr::core::map< KeyType, ValueType >::AccessClass::operator= | ( | const ValueType & | value | ) |

inline

Definition at line 643 of file irrMap.h.

## Friends And Related Symbol Documentation

## map< KeyType, ValueType >

template<class KeyType, class ValueType>

friend class map< KeyType, ValueType >

friend

Definition at line 625 of file irrMap.h.

The documentation for this class was generated from the following file:

- irrMap.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0